Package org.apache.sling.jackrabbit.usermanager

# Interface UpdateGroup

All Known Implementing Classes:
  `UpdateGroupServlet`

public interface UpdateGroup
The `UpdateGroup` service api.

This interface is not intended to be implemented by bundles. It is implemented by this bundle and may be used by client bundles.

Since:
  2.2.0

## Method Summary

Modifier and Type
Method
Description
`org.apache.jackrabbit.api.security.user.Group`
`updateGroup(javax.jcr.Session jcrSession, String name, Map<String,?> properties, List<org.apache.sling.servlets.post.Modification> changes)`
Update a group in the repository

## Method Details

### updateGroup

org.apache.jackrabbit.api.security.user.Group updateGroup(javax.jcr.Session jcrSession, String name, Map<String,?> properties, List<org.apache.sling.servlets.post.Modification> changes) throws javax.jcr.RepositoryException
Update a group in the repository

Parameters:
  `jcrSession` - the JCR session of the user creating the group
  `name` - The name of the group to update (required)
  `properties` - Extra properties to update on the group. The entry values should be either a String or String[] (optional)
  `changes` - The list of changes for this operation (optional)
Returns:
  the group that was updated or null if not found
Throws:
  `javax.jcr.RepositoryException` - if group can't be updated